
Foreman - Bug #1129

Summary Puppet Report - require_ssl

08/23/2011 12:00 PM - Craig White

Status: Closed   

Priority: Normal   

Assignee: Craig White   

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Embedded links for hosts in Summary Puppet Report were all http and not https - even if Foreman::Settings::require_ssl true

Patch below works for me...

/var/www/foreman/app/views/host_mailer# diff -u _link_to_host.text.html.erb _link_to_host.text.html.erb-new

--- _link_to_host.text.html.erb    2011-08-23 08:55:51.603479377 -0700

+++ _link_to_host.text.html.erb-new    2011-08-23 08:55:39.993358933 -0700

@@ -1,5 +1,5 @@

 <td style="border: 1px solid #FF9933;

   border-collapse: collapse;

   padding: 4px;

-  background-color: #FFFFFF;"><%= link_to host, host_path(:id => host, :host => @url, :only_path 

=> false) %>

+  background-color: #FFFFFF;"><%= link_to host, host_path(:id => host, :host => @url, :only_path 

=> false, :protocol => SETTINGS[:require_ssl] == true ? "https://" : "http://") %>

 </td>

Associated revisions

Revision 7e46bb61 - 03/14/2012 11:17 AM - Ohad Levy

fixes #1129 Summary Puppet Report - require_ssl, thanks to craig.white@ttiltd.com

History

#1 - 01/29/2012 07:23 AM - Ohad Levy

- Assignee set to Craig White

- Target version set to 1.0

would you mind sending it as a git patch? this way you would get your credit :)

#2 - 02/01/2012 11:17 AM - Craig White

I know next to nothing about making a git patch but don't actually care about credit anyway. If you want to clue me in on how to make a git patch file,

I'd be happy to do it.

#3 - 02/22/2012 06:57 AM - Jim Bailey

Hi Craig,

this should help to "clue you in"

http://ariejan.net/2009/10/26/how-to-create-and-apply-a-patch-with-git

#4 - 03/14/2012 11:18 AM - Ohad Levy

04/10/2024 1/2

mailto:craig.white@ttiltd.com
http://ariejan.net/2009/10/26/how-to-create-and-apply-a-patch-with-git


- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 7e46bb6192a843aeafd461007f7b525ab147c8f0.
